math-inl.h File Reference
`#include "hwy/highway.h"`

Go to the source code of this file.

## Classes

struct | hwy::HWY_NAMESPACE::impl::AsinImpl< FloatOrDouble >
struct | hwy::HWY_NAMESPACE::impl::AtanImpl< FloatOrDouble >
struct | hwy::HWY_NAMESPACE::impl::CosSinImpl< FloatOrDouble >
struct | hwy::HWY_NAMESPACE::impl::ExpImpl< FloatOrDouble >
struct | hwy::HWY_NAMESPACE::impl::LogImpl< FloatOrDouble >
struct | hwy::HWY_NAMESPACE::impl::AsinImpl< float >
struct | hwy::HWY_NAMESPACE::impl::AtanImpl< float >
struct | hwy::HWY_NAMESPACE::impl::CosSinImpl< float >
struct | hwy::HWY_NAMESPACE::impl::ExpImpl< float >
struct | hwy::HWY_NAMESPACE::impl::LogImpl< float >

## Namespaces

namespace | hwy
namespace | hwy::HWY_NAMESPACE
namespace | hwy::HWY_NAMESPACE::impl

## Functions

| HWY_BEFORE_NAMESPACE ()
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Acos (const D d, V x)
| Highway SIMD version of std::acos(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallAcos (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Acosh (const D d, V x)
| Highway SIMD version of std::acosh(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallAcosh (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Asin (const D d, V x)
| Highway SIMD version of std::asin(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallAsin (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Asinh (const D d, V x)
| Highway SIMD version of std::asinh(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallAsinh (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Atan (const D d, V x)
| Highway SIMD version of std::atan(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallAtan (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Atanh (const D d, V x)
| Highway SIMD version of std::atanh(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallAtanh (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Cos (const D d, V x)
| Highway SIMD version of std::cos(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallCos (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Exp (const D d, V x)
| Highway SIMD version of std::exp(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallExp (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Expm1 (const D d, V x)
| Highway SIMD version of std::expm1(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallExpm1 (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Log (const D d, V x)
| Highway SIMD version of std::log(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallLog (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Log10 (const D d, V x)
| Highway SIMD version of std::log10(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallLog10 (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Log1p (const D d, V x)
| Highway SIMD version of std::log1p(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallLog1p (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Log2 (const D d, V x)
| Highway SIMD version of std::log2(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallLog2 (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Sin (const D d, V x)
| Highway SIMD version of std::sin(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallSin (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Sinh (const D d, V x)
| Highway SIMD version of std::sinh(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallSinh (const D d, VecArg< V > x)
template<class D , class V >
HWY_INLINE V | hwy::HWY_NAMESPACE::Tanh (const D d, V x)
| Highway SIMD version of std::tanh(x).
template<class D , class V >
HWY_NOINLINE V | hwy::HWY_NAMESPACE::CallTanh (const D d, VecArg< V > x)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12, T c13)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12, T c13, T c14)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12, T c13, T c14, T c15)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12, T c13, T c14, T c15, T c16)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12, T c13, T c14, T c15, T c16, T c17)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | hwy::HWY_NAMESPACE::impl::Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12, T c13, T c14, T c15, T c16, T c17, T c18)
template<class D , class V , bool kAllowSubnormals = true>
HWY_INLINE V | hwy::HWY_NAMESPACE::impl::Log (const D d, V x)
| HWY_AFTER_NAMESPACE ()

## Function Documentation

## HWY_AFTER_NAMESPACE()

HWY_AFTER_NAMESPACE | ( |  | ) |

## HWY_BEFORE_NAMESPACE()

HWY_BEFORE_NAMESPACE | ( |  | ) |